/**
 * Created by chemax on 27.07.2017.
 */

var l18n = {
    '96131612100092': 'Основной контроллер Ю-З',
    '96131612100099': 'Вспомогательный контроллер Ю-В',
    '96131707100004': 'Основной контроллер',
    'DENERGY': 'Выработка по дням (кВт\\ч)',
//(нужно как то указать что дневную выработку смотреть только с основного контроллера, может просто убрать возможность построения графика на 99-ом контроллере?)
    'MENERGY': 'Выработка по месяцам (кВт\\ч)',
    'HENERGY': 'Выработка по часам (кВт\\ч)',
    'WORK_DATA': 'Прочие графики',
//вот тут хз вообще нужно ли их называть както, пусть просто дальше идут таймрепорты и массиврепорт
    'timeReport': 'Время работы поселка от солнечной станции\\ДЭС',
    'timeReportAsKaragan': 'Время работы поселка от солнечной станции\\ДЭС',
    'timeReportAsPosolka': 'Время работы поселка от солнечной станции\\ДЭС',
//в графике этого отчета нужно переименовать *работа от аккумулятора* на *Работа от солн. станции*
    'massiveReport': 'Отчет по массивам СП (ватт)',
    'massiveReportH': 'Отчет по массивам СП за сутки (среднее за сутки ватт)',
    'massiveReportM': 'Отчет по массивам СП за месяц (среднее за месяц ватт)',
    '96131612100092PVINPUTPOWER1': 'Ю',
    '96131612100092PVINPUTPOWER1color': 'rgba(222, 20, 20, 0.2)',
//rgba(222, 20, 20, 1);
    '96131612100092PVINPUTPOWER2': 'Ю-З',
    '96131612100092PVINPUTPOWER2color': 'rgba(40, 33, 235, 0.2)',
//rgba(40, 33, 235, 1);
    '96131612100099PVINPUTPOWER1': 'Ю-В',
    '96131612100099PVINPUTPOWER1color': 'rgba(240, 221, 12, 0.2)',
//rgba(240, 221, 12, 1);
    '96131612100099PVINPUTPOWER2': 'Ю',
    '96131612100099PVINPUTPOWER1color': 'rgba(222, 20, 20, 0.2)',
//rgba(222, 20, 20, 1);
    'karagan': 'Караган',
    'posolka': 'Посольный',
    'tuksha2': "Тукша",
    'guryanov': "Светлый",
    '96131612100096': "Основной контроллер",
    '92331509100754': 'Основной контроллер',
    '96121504100068': 'Основной контроллер',
    '96131707100004PVINPUTPOWER1': 'Контроллер 1',
    '96131707100004PVINPUTPOWER2': 'Контроллер 2',

};

function localize(label) {
    if(typeof l18n[label]  !== "undefined")
    {
        return l18n[label];
    }
    else
    {
        return label;
    }

}